package com.brilliance.isc.bo.lg;


import com.brilliance.isc.bo.Spt;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.common.trnmod.vo.SwiaddVo;
import com.brilliance.isc.bo.model.Ncdgrp;
import com.brilliance.isc.bo.model.Nidgrp;
import lombok.Data;

@Data
public class NitameBo extends BaseTransactionVo {

    private Nidgrp nidgrp;

    private Nidgrp oldnidgrp;

    //与前端模型保持一致
    private NitamepBo nitamep;

    //与前端模型保持一致
    private SwiaddVo swiadd;

    //前端修改的字段
    private NitameInfoBo nitameInfoVo;

    private Spt spt;

    private Ncdgrp ncdgrp;

    @Override
    public void reset() {
        if (nidgrp == null) {
            nidgrp = new Nidgrp();
        }
        nidgrp.reset();
        if (oldnidgrp == null) {
            oldnidgrp = new Nidgrp();
        }
        oldnidgrp.reset();
        if (nitamep == null) {
            nitamep = new NitamepBo();
        }
        nitamep.reset();
        if (swiadd == null) {
            swiadd = new SwiaddVo();
        }
        swiadd.reset();
        if (spt == null) {
            spt = new Spt();
        }
        if (nitameInfoVo == null) {
            nitameInfoVo = new NitameInfoBo();
        }
        nitameInfoVo.reset();
    }
}
